curl --request PATCH \
--url https://api.voxo.co/v2/admin/device-models/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mac": "<string>",
"startLine": 123,
"endLine": 123,
"directory": "<string>",
"remotePost": "<string>",
"remotePostUrl": "<string>",
"remotePostUser": "<string>",
"remotePostPassword": "<string>",
"remotePostDeregister": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/device-models/{id}"
payload = {
"name": "<string>",
"mac": "<string>",
"startLine": 123,
"endLine": 123,
"directory": "<string>",
"remotePost": "<string>",
"remotePostUrl": "<string>",
"remotePostUser": "<string>",
"remotePostPassword": "<string>",
"remotePostDeregister": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mac: '<string>',
startLine: 123,
endLine: 123,
directory: '<string>',
remotePost: '<string>',
remotePostUrl: '<string>',
remotePostUser: '<string>',
remotePostPassword: '<string>',
remotePostDeregister: '<string>'
})
};
fetch('https://api.voxo.co/v2/admin/device-models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"startLine": 123,
"endLine": 123,
"mac": "<string>",
"remotePostDeregister": "<string>",
"remotePost": "<string>",
"directory": "<string>",
"description": "<string>",
"remotePostUrl": "<string>",
"remotePostUser": "<string>",
"remotePostPassword": "<string>",
"autoprovisionFields": [
{
"name": "<string>",
"label": "<string>",
"type": "<string>",
"defaultValue": "<string>",
"outsideLoop": true,
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
}Update Device Model
Sparse update: only keys present in the body are touched. Returns the updated model with its parsed autoprovision field schema.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Device model ID
^[1-9]\d*$Body
Device model name
Autoprovision template
4294967295First line slot
Last line slot
Directory template
4294967295Remote-post template
4294967295Remote-post URL
Remote-post username
Remote-post password
Remote-post deregister template
4294967295Response
Updated device model with autoprovision field schema
Device model ID
Device model name
First line slot
Last line slot
Autoprovision template
Remote-post deregister template
Remote-post template
Directory template
Description
Remote-post URL
Remote-post username
Remote-post password
Parsed autoprovision field schema for this model: which fields exist, their type, default, and (for mapping fields) the allowed value->label options. Join to the devices config[] by name to interpret/edit a device's current values.
Show child attributes
Show child attributes
Was this page helpful?